## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate pnet_sys

Name:           rust-pnet_sys
Version:        0.34.0
Release:        %autorelease
Summary:        Access to network related system function and calls

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pnet_sys
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          pnet_sys-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Access to network related system function and calls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * get_socket_receive_timeout resulted in error: Bad file descriptor (os error
#   9)
# * https://github.com/libpnet/libpnet/issues/412
%cargo_test -- -- --exact --skip tests::test_get_socket_receive_timeout --skip tests::test_set_socket_receive_timeout_1500ms --skip tests::test_set_socket_receive_timeout_1s --skip tests::test_set_socket_receive_timeout_500ms
%endif

%changelog
## START: Generated by rpmautospec
* Mon Apr 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.34.0-1
- Update to 0.34.0 (close RHBZ#1960834)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.2-7
- Regenerate with rust2rpm v24

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Mar 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.27.2-1
- Update to version 0.27.2.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 16 20:42:57 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.26.0-1
- Update to 0.26.0

* Tue Feb 11 14:52:52 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.25.0-1
- Update to 0.25.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 09:28:56 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.0-4
- Regenerate

* Tue Apr 16 08:59:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.0-3
- Fix packaging

* Fri Apr 12 2019 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.22.0-2
- Fix some whitespaces

* Wed Apr 10 2019 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.22.0-1
- Initial package

## END: Generated by rpmautospec
